;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_1.inc
;;   Version: 2.5, Updated on 2008/6/23 at 12:25:30
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_1 API's.
;--------------------------------------------------

PWM8_1_CONTROL_REG_START_BIT:              equ 0x01    ; Control register start bit
PWM8_1_INT_REG:                            equ 0x0e1
PWM8_1_INT_MASK:                           equ 0x80


;--------------------------------------------------
; Constants for PWM8_1 user defined values
;--------------------------------------------------

PWM8_1_PERIOD:                             equ 0x09
PWM8_1_PULSE_WIDTH:                        equ 0x04


;--------------------------------------------------
; Register Address Constants for PWM8_1
;--------------------------------------------------

PWM8_1_COUNTER_REG:                    equ 0x3c   ; DR0 Count register
PWM8_1_PERIOD_REG:                     equ 0x3d   ; DR1 Period register
PWM8_1_COMPARE_REG:                    equ 0x3e   ; DR2 Compare register
PWM8_1_CONTROL_REG:                    equ 0x3f   ; Control register
PWM8_1_FUNC_REG:                       equ 0x3c   ; Function register
PWM8_1_INPUT_REG:                      equ 0x3d   ; Input register
PWM8_1_OUTPUT_REG:                     equ 0x3e   ; Output register


;--------------------------------------------------
; PWM8_1 Macro 'Functions'
;--------------------------------------------------

   macro PWM8_1_Start_M
   or    reg[PWM8_1_CONTROL_REG],  PWM8_1_CONTROL_REG_START_BIT
   endm

   macro PWM8_1_Stop_M
   and   reg[PWM8_1_CONTROL_REG], ~PWM8_1_CONTROL_REG_START_BIT
   endm

   macro PWM8_1_EnableInt_M
   M8C_EnableIntMask PWM8_1_INT_REG, PWM8_1_INT_MASK
   endm

   macro PWM8_1_DisableInt_M
   M8C_DisableIntMask PWM8_1_INT_REG, PWM8_1_INT_MASK
   endm


; end of file PWM8_1.inc
